Index: manager.c
===================================================================
--- manager.c	(revision 16885)
+++ manager.c	(working copy)
@@ -2257,7 +2257,6 @@
 		ast_log(LOG_NOTICE, "Unable to open management configuration manager.conf.  Call management disabled.\n");
 		return 0;
 	}
-	memset(&ba, 0, sizeof(ba));
 	val = ast_variable_retrieve(cfg, "general", "enabled");
 	if (val)
 		enabled = ast_true(val);
@@ -2286,9 +2285,9 @@
 	if ((val = ast_variable_retrieve(cfg, "general", "httptimeout")))
 		newhttptimeout = atoi(val);
 	
+	memset(&ba, 0, sizeof(ba));
 	ba.sin_family = AF_INET;
 	ba.sin_port = htons(portno);
-	memset(&ba.sin_addr, 0, sizeof(ba.sin_addr));
 	
 	if ((val = ast_variable_retrieve(cfg, "general", "bindaddr"))) {
 		if (!inet_aton(val, &ba.sin_addr)) { 
